Subject: Re: Help about windows programming please
From: Georg Fusz <[email-masked]>
To: CRETEL Dominique <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Jan 2000 11:54:13 +0100

Your problem is wrong use of windres!

Windres produces an object-file, which must be linked with the other object
files

windres -o my_resource.o -i my_resource.rc

gcc -o my.exe first.o second.o myresurce.o -mwindows

See the tutorial from Collin Peters

http://www.geocities.com/Tokyo/Towers/6162/gcc.html

CRETEL Dominique wrote:
> 
> Hi all,
> 
> I'm not on the mailing list but would like to ask a question about using
> cygwin to create gui windows application.
> So reply me to my e-mail address please.
> 
> I would like to compile a program with a resource file.
> For example:
> I have a C file: somefile.c and a resource file somefile.rc, and I would
> like to build an executable file: somefile.exe to use in windows
> environment.
> So I have to do something like:
> 
>           gcc -c -O2 -Wall -o somefile.o -mno-cygwin -mwindows
> somefile.c
> 
> and something like:
> 
>           windres somefile.rc somefile.res
> 
> But what I do to build an executable file with somefile.o and
> somefile.res????
> 
> Thanks,
> 
> Dominique Critel
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Georg Fusz

home-page: http://cadence.fb12.tu-berlin.de/~fusz/

Fon: 
Universitaet: +49 30 314 26 884
privat:     : +49 30 815 30 32
Handy:      : +49 173 20 10 696

--
Want to unsubscribe from this list?
Send a message to [email-masked]